Last Comment Bug 425486 - Apple+T should open a new window if there are none to open a tab in
: Apple+T should open a new window if there are none to open a tab in
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: All Mac OS X
: -- normal (vote)
: Firefox 3
Assigned To: Markus Stange [:mstange]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 12:23 PDT by Marco Romeny
Modified: 2008-04-08 11:30 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Fix v1.0: Don't disable "File » New Tab" when no window is visible (2.44 KB, patch)
2008-04-05 09:04 PDT, Markus Stange [:mstange]
asaf: review+
mbeltzner: approval1.9+
Details | Diff | Splinter Review

Description Marco Romeny 2008-03-27 12:23:43 PDT
User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10.5; en-US; rv:1.9b5pre) Gecko/2008032004 Minefield/3.0b5pre
Build Identifier: Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10.5; en-US; rv:1.9b5pre) Gecko/2008032004 Minefield/3.0b5pre

On mac, if all windows are closed, Apple+T (or any tab-opening function) should open a new window to accommodate this new tab being opened. This is likely related to all of the other 'links from other apps don't open if no windows are open already'-bugs as well. 

Reproducible: Always

Steps to Reproduce:
1. Open the browser. 
2. Close all windows, do not quit the application.
3. Press Apple+T and wonder where your new tab is.

Actual Results:  
No tabs, just disappointment, sadness and gloom. 

Expected Results:  
A new window pops up with focus on the address bar. Maybe not filled with your home page, but with a preference.newtab.starturl shown.

Experienced with Minefield, but I recall it being the case with all of tab-enabled firefox versions...
Comment 1 Markus Stange [:mstange] 2008-04-05 09:01:50 PDT
Confirming and taking. It's annoying behavior and easy to fix.

The bug is also mentioned in John Gruber's comparison of Safari and Firefox: http://daringfireball.net/2008/04/firefox_3_safari_3
Comment 2 Markus Stange [:mstange] 2008-04-05 09:04:14 PDT
Created attachment 313815 [details] [diff] [review]
Fix v1.0: Don't disable "File » New Tab" when no window is visible
Comment 3 Markus Stange [:mstange] 2008-04-05 09:23:46 PDT
Note that I made Cmd+T open a blank window. You can still press Cmd+N if you want a window loading the home page. Safari does the same.
Comment 4 Marco Romeny 2008-04-05 09:50:29 PDT
Sounds perfect, can't wait to test it. Home page auto-loading is a nuisance.
Comment 5 Mano (::mano, needinfo? for any questions; not reading general bugmail) 2008-04-06 12:51:10 PDT
Comment on attachment 313815 [details] [diff] [review]
Fix v1.0: Don't disable "File » New Tab" when no window is visible

r=mano
Comment 6 Reed Loden [:reed] (use needinfo?) 2008-04-08 11:30:30 PDT
Checking in browser/base/content/browser.js;
/cvsroot/mozilla/browser/base/content/browser.js,v  <--  browser.js
new revision: 1.1022; previous revision: 1.1021
done

Note You need to log in before you can comment on or make changes to this bug.